package com.yccrc.kede.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.yccrc.kede.domain.Enterprise;
import com.yccrc.kede.vo.EnterpriseAdminVO;
import com.yccrc.kede.vo.EnterpriseDetailVO;
import com.yccrc.kede.vo.EnterpriseVO;
import com.yccrc.kede.vo.IndexRptVO;

/**
 * 企业信息Service接口
 * 
 * @author yccrc
 * @date 2022-04-25
 */
public interface IEnterpriseService extends IService<Enterprise> 
{
   public boolean saveAdminEnterprise(EnterpriseAdminVO entity);
   
   public boolean saveEnterprise(EnterpriseDetailVO entity);
   
   public Page<Enterprise> selectEnterprise(Enterprise entity);
   
   public IndexRptVO rptEnterprise();
   
   public Boolean checkLicense(String license);
   
   public Boolean modifyServiceTime(Enterprise enterprise);
}
